Page MenuHomePhabricator

eo: fix reflection
ClosedPublic

Authored by bu5hm4n on Feb 22 2019, 12:45 AM.

Details

Summary

the DFS tree walk was accidently stopped by a too early return
statement. We should only return if we found a reflection entry, if not,
then we should continue our search

Depends on D7996

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Feb 22 2019, 12:45 AM
bu5hm4n requested review of this revision.Feb 22 2019, 12:45 AM

Maybe a test to trigger this problem would be useful.

zmike requested changes to this revision.Feb 25 2019, 4:32 AM

Needs test.

This revision now requires changes to proceed.Feb 25 2019, 4:32 AM
bu5hm4n updated this revision to Diff 19897.Mar 3 2019, 8:38 AM

lovely tests

bu5hm4n edited the summary of this revision. (Show Details)Mar 3 2019, 8:39 AM
This revision is now accepted and ready to land.Mar 7 2019, 10:25 AM
cedric accepted this revision.Mar 7 2019, 10:28 AM
Closed by commit rEFL8118330d2a34: eo: fix reflection (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by zmike). · Explain WhyMar 8 2019, 5:35 AM
This revision was automatically updated to reflect the committed changes.